> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Cambiare piano

> Modifica piano di fatturazione

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json POST /v1/public/accounts/{account_id}/billing/change-plan
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/change-plan:
    post:
      tags:
        - public-accounts
        - public-billing
      summary: Modifica piano di fatturazione
      description: Modificare il piano di fatturazione dell'account.
      operationId: >-
        change_public_billing_plan_v1_public_accounts__account_id__billing_change_plan_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillingChangePlanRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicBillingPlanOperationResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    BillingChangePlanRequest:
      description: >-
        Schema della richiesta cliente per modificare il piano di abbonamento di
        un account.
      properties:
        effective_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Data di entrata in vigore richiesta per la modifica del piano
          title: Data di decorrenza
        plan_id:
          description: ID del piano di fatturazione target
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: Id piano
          type: string
      required:
        - plan_id
      title: BillingChangePlanRequest
      type: object
    PublicBillingPlanOperationResponse:
      properties:
        account_status:
          anyOf:
            - type: string
            - type: 'null'
          description: Stato del conto dopo l'operazione
          title: Stato dell'account
        effective_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Quando è entrata in vigore la modifica della fatturazione
          title: Efficace a
        eligible:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Indica se l'account era idoneo per l'operazione
          title: Idoneo
        previous_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID del piano di fatturazione precedente
          title: ID piano precedente
        status:
          description: Stato dell'operazione di fatturazione
          title: Stato
          type: string
        target_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID del piano di fatturazione target
          title: ID piano target
      required:
        - status
      title: PublicBillingPlanOperationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````